<script>
export default {
  props: ['modelValue', 'placeholder'],
  emits: ['update:modelValue'],
  data: () => ({}),
  mounted() {},
  computed: {},
  methods: {},
}
</script>

<template>
  <input :value="modelValue" :placeholder="placeholder" type="text" 
    @input="$emit('update:modelValue', $event.target.value)"
    class="block w-full rounded-md border-0 py-1.5 px-2 text-gray-900 ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 sm:leading-6 mb-2">
</template>
